/*
 * TLC6983DMA.h
 *
 *  Created on: May 11, 2020
 *      Author: a0222913
 */

#ifndef TLC6983DMA_H_
#define TLC6983DMA_H_
#include <stdint.h>
#define FALSE (0x00)
#define TRUE  (0x01)

//For debug

//#define _LOW_FREQUENCY 1
//***System Clock Setting***//
void ucsInitial();
//***Timer Function***//
void timerInitial();
//***SPI Function***//
void spiInitial();
//***DMA Function***//
void dmaInitial(); //DMA0 -> Tx, DMA1 -> Rx
void manualSyncDma();
void dmaTransfer(unsigned int dmaTxSize, unsigned int dmaRxSize, unsigned int checkResponse);
void Timer2_A(void);

//Global variables
extern uint8_t dmaTxData[33]; //Stores the data bytes to be sent
extern uint8_t dmaRxData[18]; //Stores the data bytes to be received

#endif /* TLC6983DMA_H_ */
